@import url('https://fonts.googleapis.com/css2?family=Almarai:wght@700&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: 'Almarai', sans-serif;
}

html {
    scroll-behavior: smooth;
    -ms-scroll-snap-type: proximity;
}

body {
    background-color: #eaf3f8;
}

.navbar {
    position: sticky;
    z-index: 99;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 1rem 1.5rem;
    top: 0;
}

.menu-header .navbar {
    background-color: rgba(17, 32, 51, 0.87);
    padding: 10px 30px;
}


.navbar .logo {
    font-size: 25px;
    padding: 0.5rem calc(1rem - 1px) 0.5rem 1rem;
    border: 3px solid #eaf3f8;
    color: #eaf3f8;
    transition: 0.3s;
}

.navbar .logo:hover {
    color: black;
    border-color: black;
    transition: 0.3s;
}

.menu {
    display: none;
    align-items: center;
    margin: 0 -1rem;
}

.menu a {
    color: #eaf3f8;
    margin: 0 1rem;
    transition: 0.5s;
    border-radius: 5px;
    padding: 1rem;
    font-size: 18px;
    border: 3px solid #eaf3f8;
}


.menu a:hover {
    background-color: #eaf3f8;
    border-radius: 5px;
    transition: 0.3s;
    color: black;
}

a.active {
    background-color: #a9a9a9;
    border-radius: 5px;
    color: black;
}

.burger {
    appearance: none;
    outline: none;
    border: none;
    background: none;
    cursor: pointer;

    display: block;
    width: 4rem;
    height: 4rem;
}

.burger span {
    color: #eaf3f8;
    font-size: 4rem;
}

.mobile-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 98;

    padding-top: 1rem;
    opacity: 0;
    transform: translateY(-100%);
    background-color: rgba(17, 32, 51, 0.87);
    color: #eaf3f8;
    transition: 0.5s;
}

.mobile-menu.is-open {
    opacity: 1;
    transform: translateY(84px);
}

.mobile-menu-links {
    display: block;
    padding: 1rem;
    color: #eaf3f8;
    text-align: center;
    text-decoration: none;
    font-size: 1.25rem;
    transition: 0.5s;
}

.mobile-menu-links:hover {
    color: black;
    background-color: #eaf3f8;
}


.home {
    position: relative;
    flex-basis: 60%;
    display: flex;
    align-items: center;
}

.home .signs {
    width: 100%;
    height: 20%;
}

.sec1 {
    background: rgba(60, 83, 37, 0.7) url(../images/wallpapers/signs.jpg);
    background-blend-mode: darken;
    background-size: cover;
    color: #ffffff;
    text-align: center;
    padding-top: 7%;
    padding-bottom: 13%;
    font-size: 40px;
    position: relative;
}

.header1 {
    font-size: 70px;
    color: #eaf3f8;
}

.header2 {
    font-size: 50px;
    color: #eaf3f8;
}

.header3 {
    font-size: 30px;
    color: #ff2e2e;
    background: rgba(0, 0, 0, 0.62);
    border: 1px solid;
    border-left: none;
    border-right: none;
}

.header4 {
    font-size: 30px;
    color: #eaf3f8;
}

.services {
    font-size: 20px;
    border: 5px solid #b31111;
    border-radius: 8px;
    background-color: #5a1616;
    border-spacing: 10px;
    padding: 10px;
    color: #eaf3f8;
}

.services:hover {
    background-color: #b31111;
}

.sec2 {
    padding-top: 100px;
    padding-bottom: 100px;
    text-align: center;
}


.title-h {
    text-align: center;
    padding-top: 10px;
    margin-bottom: 4rem;
}

.titles {
    padding: 20px;
    font-size: 24px;
    border: 4px solid black;
    border-radius: 3px;
}

.div0 {
    padding-top: 30px;
    position: relative;
}

.book-btn {
    vertical-align: bottom;
    display: inline-flex;
    height: 100px;
    padding: 0;
    margin: 0.5rem 0.5rem;
    background: #5a1616;
    border: 8px solid #b31111;
    border-radius: 15px;
    outline: none;
    overflow: hidden;
    font-size: 25px;
    cursor: pointer;
}

.book-btn:hover {
    background: #b31111;
}

.book-btn:active {
    background: #5a1616;
    border: 8px solid #5a1616;
}

.btn_img,
.btn_txt {
    display: inline-flex;
    align-items: center;
    padding: 0 30px;
    color: #eaf3f8;
    height: 100%;
}

.sec3 {
    padding-top: 100px;
    padding-bottom: 100px;
    background-color: #8d9a9e;
}

.quiz-types {
    text-align: center;
    justify-content: space-between;
}

.q-type-link {
    vertical-align: bottom;
    display: inline-flex;
    height: 90px;
    padding: 0;
    margin: 0.5rem 0.5rem;
    background: #5a1616;
    border: 8px solid #b31111;
    border-radius: 15px;
    outline: none;
    overflow: hidden;
    font-size: 25px;
    cursor: pointer;
}

.q-type-txt:hover {
    background: #b31111;
}

.q-type-txt:active {
    background: #5a1616;
    border: 8px solid #5a1616;
}

.q-type-img,
.q-type-txt {
    display: inline-block;
    align-items: center;
    padding: 12px 30px;
    color: #eaf3f8;
    height: 100%;
}

.q-type-img,
.btn_img {
    font-size: 1.5em;
    background: #912424;
}

.about {
    position: relative;
    text-align: center;
    background: #2D3B4C;
    color: #eaf3f8;
    width: 100%;
    height: 100%;
}

.contact-logo {
    width: 70px;
    height: 70px;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

/*practical traffic signs styles*/

.gallery {
    margin: 100px 50px;
    text-align: center;
}

.gallery img {
    border: 1px solid #2D3B4C;
    margin: 15px;
    border-radius: 8px;
    width: 250px;
    padding: 5px;
    filter: grayscale(60%);
    transition: 0.3s;
}

.gallery img:hover {
    transform: scale(1.1);
    filter: grayscale(0);
}

.signs_tables {
    box-sizing: border-box;
    margin-top: 4rem;
}

table {
    table-layout: auto;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    padding: 10px;
    display: table;
    border-collapse: collapse;
    border: 1px solid #2D3B4C;
    border-spacing: 0;
}


td {
    padding: 10px;
    text-align: center;
    border: 1px solid #2D3B4C;
}

.sign_img {
    max-width: 100%;
}

.sign_txt {
    background-color: #b1c3ca;
    max-width: 100%;
    font-size: 15px;
}

.top_button {
    background: #2D3B4C;
    position: fixed;
    padding: 20px;
    border: 1px solid #2D3B4C;
    border-radius: 30px;
    bottom: 30px;
    right: 30px;
    transition: 0.3s;
}

.top_button:hover {
    transform: scale(1.1);
}

/*quiz section*/

.quiz-box {
    margin-left: 7%;
    margin-right: 7%;
}

.app {
    border-radius: 20px;
    margin: 20px auto;
    width: 100%;
    background-color: #2D3B4C;
    padding: 15px;
}

.app .info {
    display: flex;
    border-radius: 70px;
    background-color: #eaf3f8;
    padding: 20px
}

.app .info .category {
    flex: 1;
}

.app .info .countdown {
    text-align: center;
}

.app .info .count {
    flex: 1;
    text-align: center;
}

.app .area {
    background-color: #2D3B4C;
    padding: 10px;
    margin-top: 10px;
    border-radius: 8px;
    text-align: center;
}

.app .area h2 {
    display: inline-block;
    margin: 0;
    font-size: 14px;
    text-align: center;
    color: #eaf3f8;
}

.app .area img {
    margin-top: 5px;
    max-width: 100px;
    max-height: 70px;
    text-align: center;
}

.app .area h3 {
    text-align: center;
    font-size: 18px;
    color: #eaf3f8;
    background: #d01414;
    border-radius: 13px;
    margin-left: auto;
    margin-right: auto;
    padding: 5px;
    width: 40%;
}

.app .area h4 {
    text-align: center;
    font-size: 18px;
    color: #eaf3f8;
    background: #27b311;
    border-radius: 13px;
    margin-left: auto;
    margin-right: auto;
    padding: 5px;
    width: 40%;
}

.app .answer_area {
    background-color: #2D3B4C;
    padding: 20px;
    text-align: center;
    border-radius: 20px;
    border: 0;
}

.app .answer_area .answer {
    background-color: #eaf3f8;
    border-radius: 70px;
    margin-top: 5px;
    transition: 0.3s;
}

input[type="radio"] {
    display: none;
}

.app .answer_area .answer:hover {
    background-color: #214158;
    transform: scale(1.01);
}


.app .answer_area .answer input[type="radio"]:checked + label {
    color: #ffffff;
    background-color: #214158;
}

.app .answer_area .answer label {
    color: #2D3B4C;
    border-radius: 50px;
    display: block;
    align-items: center;
    justify-content: center;
    padding: 10px;
}

.app .answer_area .answer label:hover {
    color: #eaf3f8;
}

.btn_arr {
    display: flex;
}

.app .submit {
    margin: 15px auto;
    background-color: #3684c7;
    display: block;
    width: 30%;
    padding: 10px 15px;
    border: none;
    color: #2D3B4C;
    font-weight: bold;
    font-size: 20px;
    cursor: pointer;
    border-radius: 8px;
    transition: 0.3s;
}

.app .submit:focus {
    outline: none;
    background-color: #587d9d;
    transform: scale(1.05);
}

.app .previous {
    margin: 15px auto;
    background-color: #3684c7;
    display: block;
    width: 30%;
    padding: 10px 15px;
    border: none;
    color: #2D3B4C;
    font-weight: bold;
    font-size: 20px;
    cursor: pointer;
    border-radius: 8px;
    transition: 0.3s;
}

.app .previous:focus {
    outline: none;
    background-color: #587d9d;
    transform: scale(1.05);
}

.app .finish_btn {
    margin: 30px auto;
    background-color: rgba(55, 153, 8, 0.5);
    display: block;
    width: 40%;
    padding: 20px 15px;
    border: none;
    color: #eaf3f8;
    font-weight: bold;
    font-size: 22px;
    cursor: pointer;
    border-radius: 8px;
    transition: 0.3s;
}

.app .bullets {
    margin-top: 10px;
    border-top: 1px solid #0f3e68;
    background-color: #eaf3f8;
    display: flex;
    text-align: center;
    padding: 20px;
    border-radius: 20px;
    overflow-x: scroll;
}

.app .bullets .spans {
    text-align: center;
    flex: 1;
    display: inline-flex;
}

.app .bullets .spans span {
    width: 50px;
    height: 50px;
    background-color: darkgrey;
    margin-right: 5px;
    border-radius: 50%;
}

.app .bullets .spans span.on {
    background-color: #2D3B4C;
}

.app .bullets .spans span.red {
    background-color: #d14545;
}

.app .bullets .spans span.green {
    background-color: #60c75e;
}

.app .bullets .spans span:hover {
    background-color: #2686e8;
}

.app .bullets .spans span.on:hover {
    background-color: #2686e8;
}

.app .bullets .spans span button {
    height: 50px;
    width: 50px;
    font-size: 18px;
    border: 0;
    border-radius: 50%;
    background: transparent;
}

.app .bullets .spans span button:focus {
    background-color: #2686e8;
    color: #eaf3f8;
}

.app .bullets .spans span.on button {
    color: #eaf3f8;
}

.app .answer_area .answer .wrong_ans {
    margin: 10px 0;
    background-color: rgba(149, 21, 21, 0.75);
    color: #eaf3f8;
    display: block;
    align-items: center;
    justify-content: center;
    padding: 15px;
}

.app .answer_area .answer .right_ans {
    margin: 10px 0;
    background-color: rgba(26, 137, 49, 0.75);
    color: #eaf3f8;
    display: block;
    align-items: center;
    justify-content: center;
    padding: 15px;
}

.app .answer_area .restOf_ans {
    margin: 10px;
    background-color: #eaf3f8;
    color: #2D3B4C;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px;
}

.app .good {
    text-align: center;
    margin-right: auto;
    margin-bottom: 20px;
    margin-left: auto;
    width: 70%;
    padding: 40px;
    border-radius: 8px;
    background-color: #2fb21b;
    color: #eaf3f8;
    display: block;
    font-size: 20px;
}

.app .bad {
    text-align: center;
    margin-right: auto;
    margin-bottom: 20px;
    margin-left: auto;
    width: 70%;
    padding: 40px;
    border-radius: 8px;
    background-color: #b71919;
    color: #eaf3f8;
    display: block;
    font-size: 20px;
}

.app .res span {
    font-weight: bold;
    font-size: 20px;
}

.app .countdown {
    text-align: center;
    padding: 10px;
    background: #1694ed;
    margin: 10px 20%;
    border-radius: 20px;
    color: #eaf3f8;
    font-size: 18px;
}

.image-for-answers {
    max-height: 150px;
    max-width: 100px;
}

.quizzes {
    display: table;
    text-align: center;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

.quizzes .quiz-number {
    display: inline-block;
    text-align: center;
    padding: 20px 70px;
    width: 20%;
    margin: 0.5rem 0.5rem;
    background: #b31111;
    border-radius: 15px;
    color: #eaf3f8;
    outline: none;
    overflow: hidden;
    font-size: 25px;
    cursor: pointer;
    transition: 0.3s;
}

.quizzes .quiz-number span {
    text-align: center;
    display: block;
}

.quizzes .quiz-number:hover {
    background: #5a1616;
    transform: scale(1.1);
}

@media (min-width: 1030px) {
    .mobile-menu, .burger {
        display: none;
    }

    .app .area h2 {
        font-size: 28px;
    }

    .app .answer_area .answer .wrong_ans,
    .app .answer_area .answer .right_ans,
    .app .answer_area .restOf_ans,
    .app .answer_area .answer label {
        font-size: 22px;
    }

    .menu {
        display: flex;
    }

}

@media (max-width: 1030px) {
    .app .answer_area .answer .wrong_ans,
    .app .answer_area .answer .right_ans,
    .app .answer_area .restOf_ans,
    .app .answer_area .answer label {
        font-size: 14px;
    }

    .app .finish_btn {
        font-size: 15px;
    }

    .header1 {
        font-size: 30px;
        color: #eaf3f8;
    }

    .header2 {
        font-size: 20px;
        color: #eaf3f8;
    }

    .header3 {
        font-size: 15px;
        color: #ff2e2e;
        background: rgba(0, 0, 0, 0.62);
        border: 1px solid;
        border-left: none;
        border-right: none;
    }

    .header4 {
        font-size: 15px;
        color: #eaf3f8;
    }


    .navbar {
        justify-content: space-between;
    }

    .app .area h2 {
        font-size: 18px;
    }

    .app .area h2 img {
        max-width: 70px;
    }

    .app .submit,
    .app .previous {
        font-size: 15px;
    }


    .image-for-answers {
        max-width: 50px;
        max-height: 50px;
    }

    .quizzes .quiz-number {
        width: 200px;
        font-size: 18px;
    }

    .book-btn {
        font-size: 18px;
    }

    .q-type-link {
        font-size: 18px;
    }
}
